## yubikey-ksm 1.13

=== Makefile ===
# Written by Simon Josefsson <simon@josefsson.org>.
# Copyright (c) 2009-2013 Yubico AB
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#   * Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#   * Redistributions in binary form must reproduce the above
#     copyright notice, this list of conditions and the following
#     disclaimer in the documentation and/or other materials provided
#     with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

VERSION = 1.13
PACKAGE = yubikey-ksm
CODE = .htaccess Makefile NEWS ykksm-config.php ykksm-db.sql	\
	ykksm-decrypt.php ykksm-export ykksm-gen-keys	\
	ykksm-import ykksm-utils.php ykksm-checksum
DOCS = doc/DecryptionProtocol.wiki doc/DesignGoals.wiki		\
	doc/GenerateKeys.wiki doc/GenerateKSMKey.wiki		\
	doc/ImportKeysToKSM.wiki doc/Installation.wiki		\
	doc/KeyProvisioningFormat.wiki doc/ServerHardening.wiki	\
	doc/SyncMonitor.wiki
MANS = ykksm-checksum.1 ykksm-export.1 ykksm-gen-keys.1		\
	ykksm-import.1

all:
	@echo "Try 'make install' or 'make symlink'."
	@echo "Docs: https://github.com/Yubico/$(PROJECT)/wiki/Installation"
	@exit 1

# Installation rules.

etcprefix = /etc/yubico/ksm
binprefix = /usr/bin
phpprefix = /usr/share/yubikey-ksm
docprefix = /usr/share/doc/yubikey-ksm
manprefix = /usr/share/man/man1
wwwgroup = www-data

install: $(MANS)
	install -D --mode 640 .htaccess $(DESTDIR)$(phpprefix)/.htaccess
	install -D --mode 640 ykksm-decrypt.php $(DESTDIR)$(phpprefix)/ykksm-decrypt.php
	install -D --mode 640 ykksm-utils.php $(DESTDIR)$(phpprefix)/ykksm-utils.php
	install -D ykksm-gen-keys $(DESTDIR)$(binprefix)/ykksm-gen-keys
	install -D ykksm-import $(DESTDIR)$(binprefix)/ykksm-import
	install -D ykksm-export $(DESTDIR)$(binprefix)/ykksm-export
	install -D ykksm-checksum $(DESTDIR)$(binprefix)/ykksm-checksum
	install -D --backup --mode 640 --group $(wwwgroup) ykksm-config.php $(DESTDIR)$(etcprefix)/ykksm-config.php
	install -D ykksm-gen-keys.1 $(DESTDIR)$(manprefix)/ykksm-gen-keys.1
	install -D ykksm-import.1 $(DESTDIR)$(manprefix)/ykksm-import.1
	install -D ykksm-export.1 $(DESTDIR)$(manprefix)/ykksm-export.1
	install -D ykksm-checksum.1 $(DESTDIR)$(manprefix)/ykksm-checksum.1
	install -D ykksm-db.sql $(DESTDIR)$(docprefix)/ykksm-db.sql
	install -D Makefile $(DESTDIR)$(docprefix)/ykksm.mk
	install -D $(DOCS) $(DESTDIR)$(docprefix)/

wwwprefix = /var/www/wsapi

symlink:
	install -d $(wwwprefix)
	ln -sf $(phpprefix)/.htaccess $(wwwprefix)/.htaccess
	ln -sf $(phpprefix)/ykksm-decrypt.php $(wwwprefix)/decrypt.php

# Maintainer rules.

PROJECT = $(PACKAGE)

$(PACKAGE)-$(VERSION).tgz: $(FILES) $(MANS)
	git submodule init
	git submodule update
	mkdir $(PACKAGE)-$(VERSION) $(PACKAGE)-$(VERSION)/doc
	cp $(CODE) $(PACKAGE)-$(VERSION)/
	cp $(MANS) $(PACKAGE)-$(VERSION)/
	cp $(DOCS) $(PACKAGE)-$(VERSION)/doc/
	git2cl > $(PACKAGE)-$(VERSION)/ChangeLog
	tar cfz $(PACKAGE)-$(VERSION).tgz $(PACKAGE)-$(VERSION)
	rm -rf $(PACKAGE)-$(VERSION)

dist: $(PACKAGE)-$(VERSION).tgz

distclean: clean
	rm -f *.1

clean:
	rm -f *~
	rm -rf $(PACKAGE)-$(VERSION)

NAME_ykksm-checksum = 'Print checksum of important database fields.  Useful for quickly determining whether several KSMs are in sync.'
NAME_ykksm-export = 'Tool to export keys to the YKKSM-KEYPROV format.'
NAME_ykksm-gen-keys = 'Tool to generate keys on the YKKSM-KEYPROV format.'
NAME_ykksm-import = 'Tool to import key data on the YKKSM-KEYPROV format.'

%.1: %
	help2man -N --name=$(NAME_$*) --version-string=1 ./$* > $@

man: $(MANS)

release: dist
	@if test -z "$(KEYID)"; then \
		echo "Try this instead:"; \
		echo "  make release KEYID=[PGPKEYID]"; \
		echo "For example:"; \
		echo "  make release KEYID=2117364A"; \
		exit 1; \
	fi
	@head -1 NEWS | grep -q "Version $(VERSION) (released `date -I`)" || \
                (echo 'error: You need to update date/version in NEWS'; exit 1)
	@if test ! -d $(YUBICO_GITHUB_REPO); then \
		echo "yubico.github.com repo not found!"; \
		echo "Make sure that YUBICO_GITHUB_REPO is set"; \
		exit 1; \
	fi
	gpg --detach-sign --default-key $(KEYID) $(PACKAGE)-$(VERSION).tgz
	gpg --verify $(PACKAGE)-$(VERSION).tgz.sig
	git tag -u $(KEYID) -m "$(PACKAGE)-$(VERSION)" $(PACKAGE)-$(VERSION)
	echo "Release created and tagged, remember to git push && git push --tags"
	$(YUBICO_GITHUB_REPO)/publish $(PROJECT) $(VERSION) $(PACKAGE)-$(VERSION).tgz*

=== debian/changelog ===
yubikey-ksm (1.13-1) unstable; urgency=low

  * Initial package (closes: #698839).

 -- Dain Nilsson <dain@yubico.com>  Wed, 17 Apr 2013 17:53:36 +0200

=== debian/control ===
Source: yubikey-ksm
Section: net
Priority: extra
Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Tommaso Galassi De Orchi <tom@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: https://github.com/Yubico/yubikey-ksm
Vcs-Browser: https://github.com/Yubico/yubikey-ksm-dpkg
Vcs-Git: git://github.com/Yubico/yubikey-ksm-dpkg.git

Package: yubikey-ksm
Architecture: all
Depends: ${misc:Depends},
	 apache2,
	 php5,
	 php5-mcrypt,
	 mysql-server | postgresql,
	 php5-mysql | php5-pgsql,
	 dbconfig-common,
	 libdbi-perl
Recommends: mysql-client | postgresql-client
Suggests: yubikey-val
Description: Key Storage Module for YubiKey One-Time Password (OTP) tokens
 YubiKeys are USB tokens that act like keyboards and generate one-time
 passwords.  This package contains a server written in PHP for use
 with Apache that decrypt YubiKey One-Time Passwords (OTPs), normally
 only used by YubiKey OTP validation servers.  The architecture is
 that a set of validation servers manage the token counters and
 respond to OTP requests from clients, and utilize a set of back-end
 YubiKey Key Storage Module (KSM) servers to perform the actual AES
 key decryption.  The protocols are openly published.  This implementation
 store the AES keys in a database unencrypted, which can be protected
 using file-system encryption mechanisms   Another KSM implementation
 is available in the yhsm-yubikey-ksm package that use the YubiHSM hardware
 to protect the decryption process.  Sometimes the KSM runs on another
 server than the validation server, but it is possible to run both on
 the same machine.  After installing and configuring this package you
 will have a YubiKey KSM server up and running via Apache.

## yubikey-ksm 1.14

=== Makefile ===
--- 
+++ 
@@ -26,9 +26,9 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-VERSION = 1.13
+VERSION = 1.14
 PACKAGE = yubikey-ksm
-CODE = .htaccess Makefile NEWS ykksm-config.php ykksm-db.sql	\
+CODE = .htaccess Makefile NEWS README ykksm-config.php ykksm-db.sql	\
 	ykksm-decrypt.php ykksm-export ykksm-gen-keys	\
 	ykksm-import ykksm-utils.php ykksm-checksum
 DOCS = doc/DecryptionProtocol.wiki doc/DesignGoals.wiki		\
@@ -121,7 +121,7 @@
 	fi
 	@head -1 NEWS | grep -q "Version $(VERSION) (released `date -I`)" || \
                 (echo 'error: You need to update date/version in NEWS'; exit 1)
-	@if test ! -d $(YUBICO_GITHUB_REPO); then \
+	@if test ! -d "$(YUBICO_GITHUB_REPO)"; then \
 		echo "yubico.github.com repo not found!"; \
 		echo "Make sure that YUBICO_GITHUB_REPO is set"; \
 		exit 1; \
@@ -129,5 +129,5 @@
 	gpg --detach-sign --default-key $(KEYID) $(PACKAGE)-$(VERSION).tgz
 	gpg --verify $(PACKAGE)-$(VERSION).tgz.sig
 	git tag -u $(KEYID) -m "$(PACKAGE)-$(VERSION)" $(PACKAGE)-$(VERSION)
-	echo "Release created and tagged, remember to git push && git push --tags"
 	$(YUBICO_GITHUB_REPO)/publish $(PROJECT) $(VERSION) $(PACKAGE)-$(VERSION).tgz*
+	@echo "Release created and tagged, remember to git push && git push --tags"

=== debian/changelog ===
yubikey-ksm (1.14-1) unstable; urgency=low

  * New upstream version.
  * Improve README.source.
  * Change my uploader email address.

 -- Simon Josefsson <simon@yubico.com>  Wed, 18 Sep 2013 14:36:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
-Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Tommaso Galassi De Orchi <tom@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
+Uploaders: Simon Josefsson <simon@yubico.com>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Tommaso Galassi De Orchi <tom@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.4
 Homepage: https://github.com/Yubico/yubikey-ksm

=== debian/watch ===
version=3
http://yubico.github.com/yubikey-ksm/releases.html .*/yubikey-ksm-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## yubikey-ksm 1.15

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Written by Simon Josefsson <simon@josefsson.org>.
-# Copyright (c) 2009-2013 Yubico AB
+# Copyright (c) 2009-2014 Yubico AB
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -26,22 +26,22 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-VERSION = 1.14
+VERSION = 1.15
 PACKAGE = yubikey-ksm
 CODE = .htaccess Makefile NEWS README ykksm-config.php ykksm-db.sql	\
 	ykksm-decrypt.php ykksm-export ykksm-gen-keys	\
 	ykksm-import ykksm-utils.php ykksm-checksum
-DOCS = doc/DecryptionProtocol.wiki doc/DesignGoals.wiki		\
-	doc/GenerateKeys.wiki doc/GenerateKSMKey.wiki		\
-	doc/ImportKeysToKSM.wiki doc/Installation.wiki		\
-	doc/KeyProvisioningFormat.wiki doc/ServerHardening.wiki	\
-	doc/SyncMonitor.wiki
+DOCS = doc/DecryptionProtocol.txt doc/DesignGoals.txt		\
+	doc/GenerateKeys.txt doc/GenerateKSMKey.txt		\
+	doc/ImportKeysToKSM.txt doc/Installation.txt		\
+	doc/KeyProvisioningFormat.txt doc/ServerHardening.txt	\
+	doc/SyncMonitor.txt
 MANS = ykksm-checksum.1 ykksm-export.1 ykksm-gen-keys.1		\
 	ykksm-import.1
 
 all:
 	@echo "Try 'make install' or 'make symlink'."
-	@echo "Docs: https://github.com/Yubico/$(PROJECT)/wiki/Installation"
+	@echo "See doc/Installation.txt for more information"
 	@exit 1
 
 # Installation rules.
@@ -82,8 +82,6 @@
 PROJECT = $(PACKAGE)
 
 $(PACKAGE)-$(VERSION).tgz: $(FILES) $(MANS)
-	git submodule init
-	git submodule update
 	mkdir $(PACKAGE)-$(VERSION) $(PACKAGE)-$(VERSION)/doc
 	cp $(CODE) $(PACKAGE)-$(VERSION)/
 	cp $(MANS) $(PACKAGE)-$(VERSION)/
@@ -112,22 +110,15 @@
 man: $(MANS)
 
 release: dist
-	@if test -z "$(KEYID)"; then \
-		echo "Try this instead:"; \
-		echo "  make release KEYID=[PGPKEYID]"; \
-		echo "For example:"; \
-		echo "  make release KEYID=2117364A"; \
+	@head -1 NEWS | grep -q "Version $(VERSION) (released `date -I`)" || \
+                (echo 'error: You need to update date/version in NEWS'; exit 1)
+	@if test ! -d "$(YUBICO_WWW_REPO)"; then \
+		echo "yubico www repo not found!"; \
+		echo "Make sure that YUBICO_WWW_REPO is set"; \
 		exit 1; \
 	fi
-	@head -1 NEWS | grep -q "Version $(VERSION) (released `date -I`)" || \
-                (echo 'error: You need to update date/version in NEWS'; exit 1)
-	@if test ! -d "$(YUBICO_GITHUB_REPO)"; then \
-		echo "yubico.github.com repo not found!"; \
-		echo "Make sure that YUBICO_GITHUB_REPO is set"; \
-		exit 1; \
-	fi
-	gpg --detach-sign --default-key $(KEYID) $(PACKAGE)-$(VERSION).tgz
+	gpg --detach-sign $(PACKAGE)-$(VERSION).tgz
 	gpg --verify $(PACKAGE)-$(VERSION).tgz.sig
-	git tag -u $(KEYID) -m "$(PACKAGE)-$(VERSION)" $(PACKAGE)-$(VERSION)
-	$(YUBICO_GITHUB_REPO)/publish $(PROJECT) $(VERSION) $(PACKAGE)-$(VERSION).tgz*
+	git tag -s -m "$(PACKAGE) $(VERSION)" $(PACKAGE)-$(VERSION)
+	$(YUBICO_WWW_REPO)/publish $(PROJECT) $(VERSION) $(PACKAGE)-$(VERSION).tgz*
 	@echo "Release created and tagged, remember to git push && git push --tags"

=== debian/changelog ===
yubikey-ksm (1.15-2) unstable; urgency=low

  [ Dain Nilsson ]
  * Fixed Apache configuration for 2.4.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 30 Sep 2014 22:02:43 +0200

yubikey-ksm (1.15-1) unstable; urgency=low

  * New upstream version.
  * Update URLs, email addresses and links.
  * Update Standards-Version to 3.9.6.
  * Fix watch and add upstream-signing-key.pgp.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 30 Sep 2014 21:49:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: extra
 Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
-Uploaders: Simon Josefsson <simon@yubico.com>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Tommaso Galassi De Orchi <tom@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
+Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
-Homepage: https://github.com/Yubico/yubikey-ksm
+Standards-Version: 3.9.6
+Homepage: https://developers.yubico.com/yubikey-ksm/
 Vcs-Browser: https://github.com/Yubico/yubikey-ksm-dpkg
 Vcs-Git: git://github.com/Yubico/yubikey-ksm-dpkg.git

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
# This only removes the man pages, which we would like to keep.

override_dh_auto_build:
# There is no default 'make' target for this package.

# Build architecture-dependent files here.
binary-arch: install
# We have nothing to do.

# Build architecture-independent files here.
binary-indep: install
	dh $@

binary: binary-indep binary-arch

.PHONY: binary-indep binary-arch binary build

%:
	dh $@

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
  https://developers.yubico.com/yubikey-ksm/releases.html .*/yubikey-ksm-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
